Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(21)

Issue 18083014: Create new look of the avatar label. (Closed)

Created:
6 years, 1 month ago by Adrian Kuegel
Modified:
6 years, 1 month ago
Reviewers:
oshima, sky
CC:
Pam (message me for reviews), chromium-reviews, tfarina, oshima+watch_chromium.org
Visibility:
Public.

Description

Create new look of the avatar label. The UI specs and the screenshot can be found in the bug description. BUG=241387 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=210559

Patch Set 1 #

Patch Set 2 : Rebase to ToT and add missing changes. #

Patch Set 3 : Small positioning corrections. #

Patch Set 4 : Fix font size issue and some more positioning. #

Total comments: 2

Patch Set 5 : Remove unneeded code and use fixed font size. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+54 lines, -68 lines) Patch
M chrome/app/theme/theme_resources.grd View 1 2 3 1 chunk +9 lines, -0 lines 0 comments Download
M chrome/browser/ui/views/avatar_label.cc View 1 2 3 4 3 chunks +20 lines, -18 lines 0 comments Download
M chrome/browser/ui/views/frame/browser_non_client_frame_view.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M chrome/browser/ui/views/frame/browser_non_client_frame_view_ash.cc View 1 2 3 4 4 chunks +0 lines, -17 lines 0 comments Download
M chrome/browser/ui/views/frame/glass_browser_frame_view.cc View 1 2 3 4 3 chunks +1 line, -18 lines 0 comments Download
M chrome/browser/ui/views/frame/opaque_browser_frame_view.cc View 1 2 3 2 chunks +21 lines, -12 lines 0 comments Download

Messages

Total messages: 16 (0 generated)
Adrian Kuegel
Scott, can you please review the three files in chrome/browser/ui/views ? We got the (hopefully ...
6 years, 1 month ago (2013-06-28 13:10:36 UTC) #1
sky
LGTM
6 years, 1 month ago (2013-06-28 15:45:35 UTC) #2
Adrian Kuegel
@Mitsuru: can you please review theme_resources.grd? @Scott: I forgot to modify browser_non_client_frame_view_ash.cc and glass_browser_frame_view.cc in ...
6 years, 1 month ago (2013-07-01 16:58:39 UTC) #3
oshima
chrome/app/theme lgtm
6 years, 1 month ago (2013-07-01 17:10:16 UTC) #4
sky
SLGTM
6 years, 1 month ago (2013-07-01 20:50:52 UTC) #5
Adrian Kuegel
@Scott: I needed to do some more changes. Can you please take another look? Before ...
6 years, 1 month ago (2013-07-03 16:38:53 UTC) #6
sky
Have you tested all of this when rtl too? https://codereview.chromium.org/18083014/diff/40001/chrome/browser/ui/views/avatar_label.cc File chrome/browser/ui/views/avatar_label.cc (right): https://codereview.chromium.org/18083014/diff/40001/chrome/browser/ui/views/avatar_label.cc#newcode65 chrome/browser/ui/views/avatar_label.cc:65: ...
6 years, 1 month ago (2013-07-03 23:17:30 UTC) #7
Adrian Kuegel
Thanks for pointing out the potential RTL issue. I just tested it, and it works ...
6 years, 1 month ago (2013-07-05 14:22:23 UTC) #8
Adrian Kuegel
On 2013/07/05 14:22:23, Adrian Kuegel wrote: > [...] because in the aero glass browser we ...
6 years, 1 month ago (2013-07-05 14:24:03 UTC) #9
sky
Why don't you use the same font as tabs use? Also, I think you're right ...
6 years, 1 month ago (2013-07-08 14:32:43 UTC) #10
Adrian Kuegel
On 2013/07/08 14:32:43, sky wrote: > Why don't you use the same font as tabs ...
6 years, 1 month ago (2013-07-08 15:04:18 UTC) #11
sky
SG On Mon, Jul 8, 2013 at 8:04 AM, <akuegel@chromium.org> wrote: > On 2013/07/08 14:32:43, ...
6 years, 1 month ago (2013-07-08 15:07:47 UTC) #12
Adrian Kuegel
Ok, I finished this now, and removed the unnecessary code from glass browser and browser_non_client_frame_view_ash. ...
6 years, 1 month ago (2013-07-08 15:59:51 UTC) #13
sky
LGTM
6 years, 1 month ago (2013-07-08 17:16:16 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/akuegel@chromium.org/18083014/53001
6 years, 1 month ago (2013-07-09 07:55:12 UTC) #15
commit-bot: I haz the power
6 years, 1 month ago (2013-07-09 14:17:57 UTC) #16
Message was sent while issue was closed.
Change committed as 210559

Powered by Google App Engine
This is Rietveld 408576698